/*
  CoreLinux++ 
  Copyright (C) 1999,2000 CoreLinux Consortium
  
   The CoreLinux++ Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The CoreLinux++ Library Library is distributed in the hope that it will 
   be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the GNU C Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  
*/   

#if   !defined(__COMMON_HPP)
#include <Common.hpp>
#endif

#if   !defined(__ABSTRACTCOMMAND_HPP)
#include <AbstractCommand.hpp>
#endif

namespace corelinux
{
   // Default constructor

   AbstractCommand::AbstractCommand( void )
      :
      Synchronized()
   {
      ;  // do nothing
   }

   // Copy constructor

   AbstractCommand::AbstractCommand( AbstractCommandCref )
      :
      Synchronized()
   {
      ;  // do nothing
   }

   // Destructor

   AbstractCommand::~AbstractCommand( void )
   {
      ;  // do nothing
   }

   // Assignment operator

   AbstractCommandRef AbstractCommand::operator=( AbstractCommandCref )
   {
      return (*this);
   }

   // Equality operator

   bool AbstractCommand::operator==( AbstractCommandCref aCommand ) const
   {
      return ( this == &aCommand );
   }
}


/*
   Common rcs information do not modify
   $Author: frankc $
   $Revision: 1.1 $
   $Date: 2000/05/03 03:58:36 $
   $Locker:  $
*/

