/*
  CoreLinux++ 
  Copyright (C) 1999,2000 CoreLinux Consortium
  
   The CoreLinux++ Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The CoreLinux++ Library Library is distributed in the hope that it will 
   be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the GNU C Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  
*/   

#if !defined(__COMMON_HPP)
#include <Common.hpp>
#endif

#if   !defined(__FLYWEIGHT_HPP)
#include <Flyweight.hpp>
#endif

namespace corelinux
{
   //
   // Default constructor
   //

   Flyweight::Flyweight( void )
   {
      ;  // do nothing
   }

   //
   // Copy constructor
   //

   Flyweight::Flyweight( FlyweightCref )
   {
      ;  // do nothing
   }

   //
   // Destructor
   //

   Flyweight::~Flyweight( void )
   {
      ;  // do nothing
   }

   //
   // Assignment operator
   //

   FlyweightRef Flyweight::operator=( FlyweightCref )
   {
      return ( *this );
   }

   //
   // Equality operator
   //

   bool  Flyweight::operator==( FlyweightCref aRef ) const
   {
      return ( this == &aRef );
   }

}

/*
   Common rcs information do not modify
   $Author: frankc $
   $Revision: 1.1 $
   $Date: 2000/02/03 05:15:52 $
   $Locker:  $
*/


