/*
   CoreLinux++ 
   Copyright (C) 2000 CoreLinux Consortium
  
   The CoreLinux++ Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The CoreLinux++ Library Library is distributed in the hope that it will 
   be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the GNU C Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  
*/   

#if   !defined(__COMMON_HPP)
#include <Common.hpp>
#endif

#if   !defined(__MEDIATOR_HPP)
#include <Mediator.hpp>
#endif

#if   !defined(__COLLEAGUE_HPP)
#include <Colleague.hpp>
#endif

namespace corelinux
{
   // Default constructor

   Mediator::Mediator( void )
   {
      ;  // do nothing
   }

   // Copy constructor

   Mediator::Mediator( MediatorCref )
   {
      ;  // do nothing
   }

   // Destructor

   Mediator::~Mediator( void )
   {
      ;  // do nothing
   }

   // Assignment operator

   MediatorRef Mediator::operator=( MediatorCref )
   {
      return (*this);
   }

   // Equality operator

   bool Mediator::operator ==( MediatorCref aMediator ) const
   {
      return ( this == &aMediator );
   }

   // Action routine

   void Mediator::action( Event<Identifier> * aEvent ) 
      throw ( NullPointerException )
   {
      if( aEvent != NULLPTR )
      {
         Iterator<ColleaguePtr>  *aItr = 
            this->createIterator( aEvent );

         while( aItr->isValid() )
         {
            aItr->getElement()->action( aEvent );
            aItr->setNext();
         }

         this->destroyIterator( aItr );
      }
      else
      {
         throw NullPointerException( LOCATION );
      }
   }
}

/*
   Common rcs information do not modify
   $Author: frankc $
   $Revision: 1.1 $
   $Date: 2000/05/07 03:45:59 $
   $Locker:  $
*/

