/*
  CoreLinux++ 
  Copyright (C) 1999,2000 CoreLinux Consortium
  
   The CoreLinux++ Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The CoreLinux++ Library Library is distributed in the hope that it will 
   be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the GNU C Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  
*/   

#if !defined(__COMMON_HPP)
#include <Common.hpp>
#endif

#if !defined(__OBSERVER_HPP)
#include <Observer.hpp>
#endif

namespace corelinux
{
   //
   // Default constructor
   //

   Observer::Observer( void )
   {
      ;  // do nothing
   }

   //
   // Copy constructor
   //

   Observer::Observer( ObserverCref )
   {
      ;  // do nothing
   }

   //
   // Destructor
   //

   Observer::~Observer( void )
   {
      ;  // do nothing
   }

   //
   // Assignment operator
   //

   ObserverRef Observer::operator=( ObserverCref )
   {
      return (*this);
   }

   //
   // Equality operator
   //

   bool  Observer::operator==( ObserverCref aRef ) const
   {
      bool  isMe(false);

      if( this == &aRef )
      {
         isMe = true;
      }
      else
      {
         ;  // do nothing
      }
      return isMe;
   }

   //
   // Non-equality operator
   //

   bool  Observer::operator!=( ObserverCref aRef ) const
   {
      return !(this->operator==(aRef));
   }

   // Event default, does nothing

   void  Observer::event( Event<Identifier> * anEvent )
      throw ( NullPointerException )
   {
      if( anEvent == NULLPTR )
      {
         throw NullPointerException(LOCATION);
      }
      else
      {
         ;  // do nothing
      }
   }
}

/*
   Common rcs information do not modify
   $Author: frankc $
   $Revision: 1.1 $
   $Date: 2000/05/07 14:53:13 $
   $Locker:  $
*/

