#if   !defined(__HANDLERHELPHANDLER_HPP)
#define  __HANDLERHELPHANDLER_HPP

/*
  CoreLinux++ 
  Copyright (C) 2000 CoreLinux Consortium
  
   The CoreLinux++ Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The CoreLinux++ Library Library is distributed in the hope that it will 
   be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the GNU C Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  
*/   


#if   !defined(__COMMON_HPP)
#include <corelinux/Common.hpp>
#endif

#if   !defined(__HELPHANDLER_HPP)
#include <HelpHandler.hpp>
#endif

DECLARE_CLASS( HandlerHelpHandler );

/**
HandlerHelpHandler handles HANDLER_HELP requests.
*/

class HandlerHelpHandler : public HelpHandler
{
public:

   //
   // Constructors and destructor
   //
            /// Default constructor

            HandlerHelpHandler( void );

            /// Copy constructor, calls base

            HandlerHelpHandler( HandlerHelpHandlerCref );

            /// Virtual destructor

   virtual  ~HandlerHelpHandler( void );

   //
   // Operator overloads
   //
            /// Assignment operator

            HandlerHelpHandlerRef operator=( HandlerHelpHandlerCref );

            /// Equality operator

            bool  operator==( HandlerHelpHandlerCref ) const;

   //
   // Accessors
   //


protected:

            /// Work performed after accepting request

   virtual  void  handle( CORELINUX( RequestPtr ) );

private:

};

#endif // if !defined(__HANDLERHELPHANDLER_HPP)

/*
   Common rcs information do not modify
   $Author: frankc $
   $Revision: 1.1 $
   $Date: 2000/04/27 14:32:21 $
   $Locker:  $
*/


