#if   !defined(__EDITCOLLEAGUE_HPP)
#define __EDITCOLLEAGUE_HPP

/*
  CoreLinux++ 
  Copyright (C) 2000 CoreLinux Consortium
  
   The CoreLinux++ Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The CoreLinux++ Library Library is distributed in the hope that it will 
   be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the GNU C Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  
*/   

#if   !defined(__COMMON_HPP)
#include <corelinux/Common.hpp>
#endif

#if   !defined(__COLLEAGUE_HPP)
#include <corelinux/Colleague.hpp>
#endif

DECLARE_CLASS( ListMediator );
DECLARE_CLASS( EditColleague );

/**
EditColleague listens for a selection event and
allows the user to change the entry
*/

class EditColleague : public CORELINUX( Colleague )
{

public:

   //
   // Constructors and destructor
   //

                        /// Default constructor

                        EditColleague( ListMediatorPtr );   

                        /// Copy constructor

                        EditColleague( EditColleagueCref );

                        /// Virtual destructor

   virtual              ~EditColleague( void );   

   //
   // Operator overloads
   //

            /// Assignment operator

            EditColleagueRef  operator=( EditColleagueCref );

            /// Equality operator

            bool operator==( EditColleagueCref ) const;

   //
   // Accessors
   //
            /**
            Implementation defined to return the identifiers
            of the events that this Colleague generates
            @param EventIdentifiers vector reference
            */

   virtual  void  getEventsGenerated( CORELINUX( EventIdentifiersRef ) ) ;

            /**
            Implementation defined to return the identifiers
            of the events that this Colleague is interested in
            @param EventIdentifiers vector reference
            */

   virtual  void  getInterestedEvents( CORELINUX( EventIdentifiersRef ) ) ;

   //
   // Mutators
   //
            /**
            Called by the mediator when another Colleague has
            generated an event that this colleague instance
            is interested in.
            @param Event pointer to event
            */

   virtual  void  action( CORELINUX( Event<corelinux::Identifier> ) * ) ;


protected:

private:


};

#endif // if !defined(__EDITCOLLEAGUE_HPP)

/*
   Common rcs information do not modify
   $Author: frankc $
   $Revision: 1.1 $
   $Date: 2000/05/07 03:46:00 $
   $Locker:  $
*/



